UnsupportedVersionException
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.chromium.sdk
Class UnsupportedVersionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.chromium.sdk.UnsupportedVersionException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedVersionException

extends java.lang.Exception

This exception is thrown if the SDK protocol version is not compatible with that supported by the browser.

See Also:
  Serialized Form

Constructor Summary
`UnsupportedVersionException(Version localVersion, Version remoteVersion)`
`UnsupportedVersionException(Version localVersion, Version remoteVersion, java.lang.String message)`

Method Summary
`Version` | `getLocalVersion()`
`Version` | `getRemoteVersion()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedVersionException

    public UnsupportedVersionException(Version localVersion,
                                       Version remoteVersion)

### UnsupportedVersionException

    public UnsupportedVersionException(Version localVersion,
                                       Version remoteVersion,
                                       java.lang.String message)

Method Detail

### getLocalVersion

    public Version getLocalVersion()

  Returns:
    the protocol version supported by the SDK

### getRemoteVersion

    public Version getRemoteVersion()

  Returns:
    the incompatible protocol version supported by the browser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD